=== debian/changelog ===
lxqt-panel (0.13.0-1~mx17+2) mx; urgency=medium

  * Version lilxqt* dependencies

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 15 Apr 2019 14:33:05 -0400

lxqt-panel (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:44:07 -0700

lxqt-panel (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
    - libsysstat-qt5-0-dev to >= 0.4.1~
  * Removed build dependency libglib2.0-dev, thrown in via lxqt-build-tools
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:08:49 +0200

lxqt-panel (0.12.0-10) unstable; urgency=medium

  * Changed Source and watch for lxqt

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:17:35 +0200

lxqt-panel (0.12.0-9) unstable; urgency=medium

  * Ported back USE_MENU_CACHE handling
  * Removed build dependency on libmenu-cache-dev (Closes: #896512)
  * Ported back USE_MENU_CACHE handling
  * Moved lxqt-about from dependencies to recommends (Closes: #894640)
  * Bumped debhelper version to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Removed trailing whitespaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 19:47:29 +0200
