=== debian/control ===
Source: lxqt-panel
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.13.0~),
               liblxqt-globalkeys0-dev (>= 0.13.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.13.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.1~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data,
         lxqt-policykit,
         liblxqt0 (>= 0.13.0~),
         liblxqt-globalkeys0 (>= 0.13.0~),
         liblxqt-globalkeys-ui0 (>= 0.13.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.
