=== debian/changelog ===
lxqt-panel (0.14.1-1ubuntu3) focal; urgency=medium

  * Updated rules to match debian unstable
  * Updated copyright.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:58:19 +0530

lxqt-panel (0.14.1-1ubuntu2) focal; urgency=medium

  * Correct merge from Ubuntu Merge-oMatic
  * Bumped minimum requirements in control file
  * Copyright updates.
  * Updated debian/watch to point to correct source.
  * Updated debian/upstream/metadata
  * using debhelper-compat instead of debhelper and d/compat

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 09 Feb 2020 11:29:09 +0530

lxqt-panel (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Updated control file to include new deps.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Fri, 07 Feb 2020 22:20:45 +0530

lxqt-panel (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 03:28:17 +0100

lxqt-panel (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:27:32 -0600

lxqt-panel (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a new lxqt-panel-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:19:25 -0600

lxqt-panel (0.13.0-0ubuntu5) cosmic; urgency=medium

  * Add optional overriding of icon theme.
  * Run wrap-and-sort.

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 21 Aug 2018 23:37:22 -0700

lxqt-panel (0.13.0-0ubuntu4) cosmic; urgency=medium

  * Change the Uploaders to Ubuntu uploaders.
  * Update Standards-version to 4.2.0, no changes needed.
  * Add an autoexpansion feature to the spacer plugin.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Aug 2018 16:17:17 -0500

lxqt-panel (0.13.0-0ubuntu3) cosmic; urgency=medium

  * Add a DEP-3 header for the patch completely removing the clock plugin.
  * Don't auto-unmute the volume when it's changed.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Jul 2018 21:58:19 -0500

lxqt-panel (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Completely remove plugin-clock.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 24 May 2018 22:51:05 -0500

lxqt-panel (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update copyright.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 22:38:37 -0500

lxqt-panel (0.12.0-9ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Cherry-pick some upstream commits:
      + Fix wrongly positioned popups (LP: #1527013).
        * fix-wrongly-positioned-popups.patch
        * Upstream commit 7391172.
      + plugin-volume: Use a specific icon for the panel.
        * use-specific-panel-icon.patch
        * Upstream commit eaa65e5.
      + Fix various memory leaks.
        * fix-memory-leaks.patch
        * mainmenu: Fix possible leaks in menu-cache usage.
          - Upstream commit 04630d4.
        * mount: Fix leak by correctly assigning the QObject parent.
          - Upstream commit d1bd23f.
        * taskbar: Avoid conditionals on unintialized values by proper
          initialization of data members
          - Upstream commit 1cb5778.
      + Avoid infinite recursion when no icon is available.
        * avoid-infinite-recursion-icons.patch
        * Upstream commit b9b4133.
      + Add Move and Resize items in the task-button context menu.
        * add-move-resize-items.patch
        * Upstream commit b69fe72.
      + Set the initial task button text (and icon) correctly.
        * set-initial-task-button-correctly.patch
        * Upstream commit 563d6bf.
  * Change the Vcs entries to be Lubuntu-specific.
  * Fix typo in the patch description of fix-memory-leaks.patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 00:43:10 -0500
