=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_configure:
 	dh_auto_configure --\
 		-DPULL_TRANSLATIONS=OFF \
@@ -25,6 +28,3 @@
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
