## lxqt-panel 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,10 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION "5.7.1")
+set(REQUIRED_QT_VERSION "5.10")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.15.0")
+set(LXQT_MINIMUM_VERSION "0.15.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -40,11 +41,10 @@
 find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 1)
+set(LXQT_PANEL_PATCH_VERSION 0)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
@@ -248,6 +248,12 @@
     add_subdirectory(plugin-spacer)
 endif()
 
+setByDefault(BACKLIGHT_PLUGIN Yes)
+if(BACKLIGHT_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "Backlight")
+    add_subdirectory(plugin-backlight)
+endif()
+
 #########################################################################
 
 message(STATUS  "**************** The following plugins will be built ****************")
